function [perc_of_normals, perc_of_others,perc_of_noise,False_noise]=challenge_statistics(results)

siz=size(results);
total_normals=0;
matching_normals=0;
total_others=0;
matching_others=0;
total_noise=0;
matching_noise=0;
false_noise=0;

for counter=1:siz(1)
        if (strcmp(results(counter,2),'N'))
                total_normals=total_normals+1;
                if (strcmp(results(counter,2),results(counter,1)))
                matching_normals=matching_normals+1;    
                end
        end
        if (strcmp(results(counter,2),'O'))
                total_others=total_others+1;
                if (strcmp(results(counter,2),results(counter,1)))
                 matching_others=matching_others+1;   
                end            
        end        
       if (strcmp(results(counter,2),'~'))
                if ~(strcmp(results(counter,2),results(counter,1)))
                 false_noise=false_noise+1;   
                end            
       end
      if (strcmp(results(counter,1),'~'))          
                total_noise=total_noise+1;
                if (strcmp(results(counter,2),results(counter,1)))
                 matching_noise=matching_noise+1;   
                end            
      end                        
        
end

False_noise=false_noise/total_noise*100;
perc_of_normals=matching_normals/total_normals*100;
perc_of_others=matching_others/total_others*100;
perc_of_noise=matching_noise/total_noise*100;

